Loading...
Searching...
No Matches
casacore::PrimaryGroup< TYPE > Class Template Reference
fits package (libcasa_fits) » FITS_module

Random Group datastructure. More...

`#include <hdu.h>`

## Public Member Functions

| PrimaryGroup (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| PrimaryGroup (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| PrimaryGroup (FITSErrorHandler errhandler=FITSError::defaultHandler)
| constructor for header consisted required keywords only
| ~PrimaryGroup ()
Int | gcount () const
| Return basic parameters of a random group.
Int | pcount () const
char * | ptype (int n) const
double | pscal (int n) const
double | pzero (int n) const
Int | currgroup () const
double | parm (int)
TYPE & | rawparm (int)
void | storeparm (const TYPE *source)
void | copyparm (double *target) const
void | copyparm (float *target) const
void | moveparm (TYPE *target) const
int | read ()
| read, or write the next group
int | write (FitsOutput &)
int | write_priGrp_hdr (FitsOutput &fout, int simple, int bitpix, int naxis, long naxes[], long pcount, long gcount)
| write the required keywords for PrimaryGroup
OFF_T | set_next (OFF_T)
| disable these functions, since they are inherited from PrimaryArray
int | read (int)

## Protected Attributes

Int | pcount_x
Int | gcount_x
char ** | ptype_x
double * | pscal_x
double * | pzero_x
TYPE * | group_parm
Int | current_group

## Private Member Functions

void | pg_assign ()

## Detailed Description

template<class TYPE>
class casacore::PrimaryGroup< TYPE >

Random Group datastructure.

### Synopsis

A Random Group Structure is represented by the following:

struct GroupData {
<Type> group_parms [PCOUNT];
<Type> data_array [NAXIS2][NAXIS3]...[NAXISN];
} group_data[GCOUNT];

### Template Type Argument Requirements

- typedef PrimaryGroup<unsigned char> BytePrimaryGroup;
- typedef PrimaryGroup<short> ShortPrimaryGroup;
- typedef PrimaryGroup<FitsLong> LongPrimaryGroup;
- typedef PrimaryGroup<float> FloatPrimaryGroup;
- typedef PrimaryGroup<double> DoublePrimaryGroup;

Warning: Please note that the NOST has deprecated the Random Group datastructure, it has been replaced by the much more powerfull BINTABLE extension;

Definition at line 592 of file hdu.h.

## Constructor & Destructor Documentation

## PrimaryGroup() [1/3]

template<class TYPE>

casacore::PrimaryGroup< TYPE >::PrimaryGroup | ( | FitsInput & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

## PrimaryGroup() [2/3]

template<class TYPE>

casacore::PrimaryGroup< TYPE >::PrimaryGroup | ( | FitsKeywordList & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

## PrimaryGroup() [3/3]

template<class TYPE>

casacore::PrimaryGroup< TYPE >::PrimaryGroup | ( | FITSErrorHandler | errhandler = FITSError::defaultHandler | ) |

constructor for header consisted required keywords only

## ~PrimaryGroup()

template<class TYPE>

casacore::PrimaryGroup< TYPE >::~PrimaryGroup | ( |  | ) |

## Member Function Documentation

## copyparm() [1/2]

template<class TYPE>

void casacore::PrimaryGroup< TYPE >::copyparm | ( | double * | target | ) | const

## copyparm() [2/2]

template<class TYPE>

void casacore::PrimaryGroup< TYPE >::copyparm | ( | float * | target | ) | const

## currgroup()

template<class TYPE>

Int casacore::PrimaryGroup< TYPE >::currgroup | ( |  | ) | const

inline

Definition at line 612 of file hdu.h.

## gcount()

template<class TYPE>

Int casacore::PrimaryGroup< TYPE >::gcount | ( |  | ) | const

inline

Return basic parameters of a random group.

Definition at line 605 of file hdu.h.

## moveparm()

template<class TYPE>

void casacore::PrimaryGroup< TYPE >::moveparm | ( | TYPE * | target | ) | const

## parm()

template<class TYPE>

double casacore::PrimaryGroup< TYPE >::parm | ( | int |  | ) |

## pcount()

template<class TYPE>

Int casacore::PrimaryGroup< TYPE >::pcount | ( |  | ) | const

inline

Definition at line 606 of file hdu.h.

## pg_assign()

template<class TYPE>

void casacore::PrimaryGroup< TYPE >::pg_assign | ( |  | ) |

private

## pscal()

template<class TYPE>

double casacore::PrimaryGroup< TYPE >::pscal | ( | int | n | ) | const

inline

Definition at line 608 of file hdu.h.

## ptype()

template<class TYPE>

char * casacore::PrimaryGroup< TYPE >::ptype | ( | int | n | ) | const

inline

Definition at line 607 of file hdu.h.

## pzero()

template<class TYPE>

double casacore::PrimaryGroup< TYPE >::pzero | ( | int | n | ) | const

inline

Definition at line 609 of file hdu.h.

## rawparm()

template<class TYPE>

TYPE & casacore::PrimaryGroup< TYPE >::rawparm | ( | int |  | ) |

## read() [1/2]

template<class TYPE>

int casacore::PrimaryGroup< TYPE >::read | ( |  | ) |

read, or write the next group

## read() [2/2]

template<class TYPE>

int casacore::PrimaryGroup< TYPE >::read | ( | int |  | ) |

inline

Definition at line 637 of file hdu.h.

## set_next()

template<class TYPE>

OFF_T casacore::PrimaryGroup< TYPE >::set_next | ( | OFF_T |  | ) |

inline

disable these functions, since they are inherited from PrimaryArray

Definition at line 636 of file hdu.h.

## storeparm()

template<class TYPE>

void casacore::PrimaryGroup< TYPE >::storeparm | ( | const TYPE * | source | ) |

## write()

template<class TYPE>

int casacore::PrimaryGroup< TYPE >::write | ( | FitsOutput & |  | ) |

## write_priGrp_hdr()

template<class TYPE>

int casacore::PrimaryGroup< TYPE >::write_priGrp_hdr | ( | FitsOutput & | fout,
|  | int | simple,
|  | int | bitpix,
|  | int | naxis,
|  | long | naxes[],
|  | long | pcount,
|  | long | gcount )

write the required keywords for PrimaryGroup

## Member Data Documentation

## current_group

template<class TYPE>

Int casacore::PrimaryGroup< TYPE >::current_group

protected

Definition at line 647 of file hdu.h.

## gcount_x

template<class TYPE>

Int casacore::PrimaryGroup< TYPE >::gcount_x

protected

Definition at line 642 of file hdu.h.

## group_parm

template<class TYPE>

TYPE* casacore::PrimaryGroup< TYPE >::group_parm

protected

Definition at line 646 of file hdu.h.

## pcount_x

template<class TYPE>

Int casacore::PrimaryGroup< TYPE >::pcount_x

protected

Definition at line 641 of file hdu.h.

## pscal_x

template<class TYPE>

double* casacore::PrimaryGroup< TYPE >::pscal_x

protected

Definition at line 644 of file hdu.h.

## ptype_x

template<class TYPE>

char** casacore::PrimaryGroup< TYPE >::ptype_x

protected

Definition at line 643 of file hdu.h.

## pzero_x

template<class TYPE>

double* casacore::PrimaryGroup< TYPE >::pzero_x

protected

Definition at line 645 of file hdu.h.

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h